require "spec_helper"
require "straight-api"

describe Straight do
  straight = Straight.new("http://localhost:9696", 1)

  it "should create an order" do
    order = straight.create(1)
    order.amount.should == 1
    order.address.should_not == nil
    order.id.should_not == nil
  end

  it "should get an order" do
    order = straight.get(1)
    order.address.should_not == nil
    order.amount.should_not == nil
    order.id.should == 1
  end
end