# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'straight-api/version'

Gem::Specification.new do |spec|
  spec.name          = "straight-api"
  spec.version       = Straight::VERSION
  spec.authors       = ["Manthan Mallikarjun"]
  spec.email         = ["nahtnam@gmail.com"]
  spec.summary       = %q{An API wrapper for Straight Server.}
  spec.description   = %q{An API wrapper for Straight Server.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 2.12"

  spec.add_dependency "httparty", ">= 0.8.3"
  spec.add_dependency "hashie", ">= 1.2.0"
end
